Bug 14898 - starts even if DISPLAY is unset
: starts even if DISPLAY is unset
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/aterm)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-14 04:25 by
Modified: 2008-05-01 19:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-14 04:25:33
same as https://bugzilla.altlinux.org/show_bug.cgi?id=840

aterm-1.0.1-alt1

xterm-232-alt1 doesn't behave like this; xterm refuses to start with no DISPLAY. 

Does this mean that too many privileges are given to aterm?
Steps to Reproduce:
# In an X session started by wdm:
$ unset DISPLAY
$ echo $DISPLAY

$ Eterm


Actual Results:  
It starts on this display.

Expected Results:  
Like this:

$ unset DISPLAY 
$ xterm
xterm Xt error: Can't open display: 
xterm:  DISPLAY is not set
$
------- Comment #1 From 2008-03-14 04:26:43 -------
Sorry: s:Eterm:aterrm: in the Steps to Reproduce.
------- Comment #2 From 2008-04-14 22:13:37 -------
Самый умный, #$^%#^#@....

    if( display_name == NULL )
        if ((display_name = getenv("DISPLAY")) == NULL)
            display_name = ":0";

Ну почему мне так "везёт" на говнософт?

Fixed in 1.0.1-alt2.
------- Comment #3 From 2008-05-01 19:12:03 -------
:)
спасибо, в aterm-1.0.1-alt2 всё ok.